import { jsx } from "react/jsx-runtime";
import { EjectIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Eject = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Eject", ...props, children: /* @__PURE__ */ jsx(EjectIcon, { weight: variant }) });
  }
);
Eject.displayName = "Eject";
Object.assign(Eject, { isGdsIcon: true });
export {
  Eject
};
